CrossCorrValid_NormLevel
Image Proximity

Primitives for computing the normalized cross correlation coefficient between two images with valid mode. More...

## CrossCorrValid_NormLevel

The functions compute the in General Introduction with valid mode (see Categorizations). The functions require additional scratch buffer for computations.
NppStatus | nppiCrossCorrValid_NormLevel_8u_C1RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u_C1RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u_C3RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u_C3RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u_C4RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u_C4RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u_AC4RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrValid_NormLevel ignoring alpha channel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u_AC4RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image CrossCorrValid_NormLevel ignoring alpha channel. More...
NppStatus | nppiCrossCorrValid_NormLevel_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CrossCorrValid_NormLevel ignoring alpha channel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8u32f_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit signed image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_C1R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit signed image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_C3R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit signed image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_C4R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit signed image CrossCorrValid_NormLevel ignoring alpha channel. More...
NppStatus | nppiCrossCorrValid_NormLevel_8s32f_AC4R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image CrossCorrValid_NormLevel. More...
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image CrossCorrValid_NormLevel ignoring alpha channel. More...
NppStatus | nppiCrossCorrValid_NormLevel_16u32f_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep, Npp8u *pDeviceBuffer)

## ValidNormLevelGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the CrossCorrValid_NormLevel primitives.
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_C1RSfs_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_C1RSfs. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_C1RSfs (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_C3RSfs_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_C3RSfs. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_C3RSfs (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_C4RSfs_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_C4RSfs. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_C4RSfs (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_AC4RSfs_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_AC4RSfs. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u_AC4RSfs (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_C1R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_C3R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_C4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_AC4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_C1R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_C3R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_C4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_AC4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8u32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_C1R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_C3R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_C4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_AC4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_8s32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_C1R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_C3R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_C4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_AC4R. More...
NppStatus | nppiValidNormLevelGetBufferHostSize_16u32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the normalized cross correlation coefficient between two images with valid mode.

## Function Documentation

NppStatus nppiCrossCorrValid_NormLevel_16u32f_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_16u32f_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image CrossCorrValid_NormLevel ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_16u32f_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_16u32f_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_16u32f_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_16u32f_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_16u32f_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image CrossCorrValid_NormLevel ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8s32f_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8s32f_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit signed image CrossCorrValid_NormLevel ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8s32f_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8s32f_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit signed image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8s32f_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8s32f_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit signed image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8s32f_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8s32f_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit signed image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u32f_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u32f_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrValid_NormLevel ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u32f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u32f_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u32f_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u32f_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u32f_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u_AC4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u_AC4RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrValid_NormLevel ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u_C1RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u_C1RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u_C3RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u_C3RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrValid_NormLevel_8u_C4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCrossCorrValid_NormLevel_8u_C4RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CrossCorrValid_NormLevel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_16u32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_16u32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8s32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8s32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u_AC4RSfs | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u_AC4RSfs_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_AC4RSfs.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u_C1RSfs | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u_C1RSfs_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_C1RSfs.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u_C3RSfs | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u_C3RSfs_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_C3RSfs.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiValidNormLevelGetBufferHostSize_8u_C4RSfs | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiValidNormLevelGetBufferHostSize_8u_C4RSfs_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size (in bytes) for nppiCrossCorrValid_NormLevel_8u_C4RSfs.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2018 NVIDIA Corporation